package com.ywt.outpatient.domain.entity.center;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

@Entity
@Table(name = "transfer_treatment")
public class TransferTreatment {

    /**
     * 主键(对应orders表里面的business_id字段)
     */
    @Id
    private Integer id;


    /**
     * 用户id
     */
    @Column(name = "user_id", nullable = false)
    private Integer userId;

    /**
     * patient表用户真实姓名
     */
    @Column(name = "patient_real_name", nullable = false)
    private String patientRealName;

    /**
     * patient表用户手机号码
     */
    @Column(name = "patient_mobile", nullable = false)
    private String patientMobile;

    /**
     * patient表Id
     */
    @Column(name = "patient_id", nullable = false)
    private Integer patientId;

    /**
     * 发起转诊业务的医生id
     */
    @Column(name = "from_doctor_id", nullable = false)
    private Integer fromDoctorId;

    /**
     * 发起转诊业务的医生姓名
     */
    @Column(name = "from_doctor_name", nullable = false)
    private String fromDoctorName;

    /**
     * 接收转诊业务的医生id
     */
    @Column(name = "to_doctor_id", nullable = false)
    private Integer toDoctorId;

    /**
     * 接收转诊业务的医生姓名
     */
    @Column(name = "to_doctor_name", nullable = false)
    private String toDoctorName;

    /**
     * 标题
     */
    @Column(name = "title")
    private String title;

    /**
     * 金额
     */
    @Column(name = "amount", nullable = false)
    private BigDecimal amount;

    /**
     * 备注
     */
    @Column(name = "remark")
    private String remark;

    /**
     * 是否删除（标识物理删除）
     */
    @Column(name = "is_deleted", nullable = false)
    private Boolean is_deleted;

    /**
     * 创建时间
     */
    @Column(name = "create_time", nullable = false)
    private Date createTime;

    /**
     * 更新时间
     */
    @Column(name = "update_time", nullable = false)
    private Date updateTime;

    /**
     * 会话Id
     */
    @Column(name = "session_id", nullable = false)
    private String sessionId;

    /**
     * 诊断结果
     */
    @Column(name = "diagnosis", nullable = false)
    private String diagnosis;

    /**
     * 医院名字
     */
    @Column(name = "hospital_name")
    private String hospitalName;

    /**
     * 科室名称
     */
    @Column(name = "dept_name")
    private String deptName;

    /**
     * 床位号
     */
    @Column(name = "bed_number")
    private String bedNumber;

    /**
     * 转入日期
     */
    @Column(name = "transfer_date")
    private Date transferDate;

    /**
     * 转入时段（1-全天，2-上午，3-下午）
     */
    @Column(name = "transfer_period")
    private Integer transferPeriod;


    /**
     * 转诊业务状态（位标识：1-无法安排床位，2-已安排床位，4-已通知用户，8-选择救护车，16-用户已确认，32-用户已评价）
     */
    @Column(name = "transfer_status")
    private Integer transferStatus;

    /**
     * patient表用户sex
     */
    @Column(name = "patient_sex")
    private Integer patientSex;

    //订单ID
    @Column(name = "order_id")
    private Integer orderId;

    //订单号
    @Column(name = "order_no")
    private String orderNo;

    @Column(name = "medical_type")
    private Integer medicalType;

    @Column(name = "referral_dept")
    private Integer referralDept;

    @Column(name = "additional_accept_doctor_id")
    private Integer additionalAcceptDoctorId;
    @Column(name = "additional_accept_doctor_name")
    private String additionalAcceptDoctorName;
    @Column(name = "additional_accept_time")
    private Date additionalAcceptTime;
    @Column(name = "additional_return_time")
    private Date additionalReturnTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getPatientRealName() {
        return patientRealName;
    }

    public void setPatientRealName(String patientRealName) {
        this.patientRealName = patientRealName;
    }

    public String getPatientMobile() {
        return patientMobile;
    }

    public void setPatientMobile(String patientMobile) {
        this.patientMobile = patientMobile;
    }

    public Integer getPatientId() {
        return patientId;
    }

    public void setPatientId(Integer patientId) {
        this.patientId = patientId;
    }

    public Integer getFromDoctorId() {
        return fromDoctorId;
    }

    public void setFromDoctorId(Integer fromDoctorId) {
        this.fromDoctorId = fromDoctorId;
    }

    public String getFromDoctorName() {
        return fromDoctorName;
    }

    public void setFromDoctorName(String fromDoctorName) {
        this.fromDoctorName = fromDoctorName;
    }

    public Integer getToDoctorId() {
        return toDoctorId;
    }

    public void setToDoctorId(Integer toDoctorId) {
        this.toDoctorId = toDoctorId;
    }

    public String getToDoctorName() {
        return toDoctorName;
    }

    public void setToDoctorName(String toDoctorName) {
        this.toDoctorName = toDoctorName;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Boolean getIs_deleted() {
        return is_deleted;
    }

    public void setIs_deleted(Boolean is_deleted) {
        this.is_deleted = is_deleted;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getSessionId() {
        return sessionId;
    }

    public void setSessionId(String sessionId) {
        this.sessionId = sessionId;
    }

    public String getDiagnosis() {
        return diagnosis;
    }

    public void setDiagnosis(String diagnosis) {
        this.diagnosis = diagnosis;
    }

    public String getHospitalName() {
        return hospitalName;
    }

    public void setHospitalName(String hospitalName) {
        this.hospitalName = hospitalName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getBedNumber() {
        return bedNumber;
    }

    public void setBedNumber(String bedNumber) {
        this.bedNumber = bedNumber;
    }

    public Date getTransferDate() {
        return transferDate;
    }

    public void setTransferDate(Date transferDate) {
        this.transferDate = transferDate;
    }

    public Integer getTransferPeriod() {
        return transferPeriod;
    }

    public void setTransferPeriod(Integer transferPeriod) {
        this.transferPeriod = transferPeriod;
    }

    public Integer getTransferStatus() {
        return transferStatus;
    }

    public void setTransferStatus(Integer transferStatus) {
        this.transferStatus = transferStatus;
    }

    public Integer getPatientSex() {
        return patientSex;
    }

    public void setPatientSex(Integer patientSex) {
        this.patientSex = patientSex;
    }

    public Integer getOrderId() {
        return orderId;
    }

    public void setOrderId(Integer orderId) {
        this.orderId = orderId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Integer getMedicalType() {
        return medicalType;
    }

    public void setMedicalType(Integer medicalType) {
        this.medicalType = medicalType;
    }

    public Integer getReferralDept() {
        return referralDept;
    }

    public void setReferralDept(Integer referralDept) {
        this.referralDept = referralDept;
    }

    public Integer getAdditionalAcceptDoctorId() {
        return additionalAcceptDoctorId;
    }

    public void setAdditionalAcceptDoctorId(Integer additionalAcceptDoctorId) {
        this.additionalAcceptDoctorId = additionalAcceptDoctorId;
    }

    public String getAdditionalAcceptDoctorName() {
        return additionalAcceptDoctorName;
    }

    public void setAdditionalAcceptDoctorName(String additionalAcceptDoctorName) {
        this.additionalAcceptDoctorName = additionalAcceptDoctorName;
    }

    public Date getAdditionalAcceptTime() {
        return additionalAcceptTime;
    }

    public void setAdditionalAcceptTime(Date additionalAcceptTime) {
        this.additionalAcceptTime = additionalAcceptTime;
    }

    public Date getAdditionalReturnTime() {
        return additionalReturnTime;
    }

    public void setAdditionalReturnTime(Date additionalReturnTime) {
        this.additionalReturnTime = additionalReturnTime;
    }
}
